Subject: Re: Storing notes refs outside of refs/

From: Joshua Jensen <[email-masked]>
Date: Thu, 26 Aug 2010 13:20:48 -0600

----- Original Message -----
From: Junio C Hamano
Date: 8/26/2010 12:54 PM
> Joshua Jensen<[email-masked]>  writes
>> gitk --all --not --glob=refs/notes/*
>>
>> does not work.
> I don't think --not there is a good idea because "--not" in rev-list
> parameter means "not reachable from the following commits".
Okay.  I've not used it before.
> It may be useful if you made "--all --glob=!refs/notes/*" to work,
> though.  I could picture myself buying such a change.
>
> Or just use "--branches --tags" instead, perhaps?
gitk --branches --remotes --tags is long to type.  (Let's ignore git 
aliases for the moment.)

The deal is, refs/notes/ showing in git log --all serves no purpose, in 
my opinion.  If it does for somebody else, I'd love to hear.

What if there was a configuration setting applied to 'git log --all' as 
a filter for refs I never want to see in the --all view?

git config --add core.logfilter refs/notes/*
git config --add core.logfilter refs/game-p4/*

I also like the negated --glob syntax you showed above.

Another possibly useful idea is an extra 'git log' parameter --brt (for 
--branches, --remotes, --tags).

Thoughts?  I'll see if I can find some time to work on something once I 
have a bit of direction.

Josh